Bug 1593736 - OpenJDK not read jssecacerts file [rhel-7.4.z]
Summary: OpenJDK not read jssecacerts file [rhel-7.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.8.0-openjdk
Version: 7.4
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Andrew John Hughes
QA Contact: OpenJDK QA
URL:
Whiteboard:
Depends On: 1567204
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-21 13:31 UTC by Oneata Mircea Teodor
Modified: 2018-07-12 16:14 UTC (History)
10 users (show)

Fixed In Version: java-1.8.0-openjdk-1.8.0.161-1.b14.el7_4
Doc Type: Bug Fix
Doc Text:
OpenJDK was recently updated to support reading the system certificate authority /etc/pki/java/cacerts database directly. As a consequence, this removed the ability to read certificates from the user-provided /usr/lib/jvm/<NVRA-of-JDK>/jre/lib/security/jssecacert file. With this update, that ability is restored by reading from that file first, if available.
Clone Of: 1567204
Environment:
Last Closed: 2018-07-10 17:21:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
openjdk bug system JDK-8129988 None None None 2018-06-21 13:31:40 UTC
Red Hat Product Errata RHBA-2018:2160 None None None 2018-07-10 17:21:10 UTC
Icedtea Bugzilla 2888 None None None 2018-06-21 13:31:40 UTC
Icedtea Bugzilla 3575 None None None 2018-06-21 13:31:40 UTC

Description Oneata Mircea Teodor 2018-06-21 13:31:33 UTC
This bug has been copied from bug #1567204 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 4 zzambers 2018-07-02 17:48:34 UTC
Manually tested in rhel7 VM:

package: java-1.8.0-openjdk-1.8.0.161-2.b14.el7_4.x86_64

result: PASSED

Comment 6 errata-xmlrpc 2018-07-10 17:21:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2160


Note You need to log in before you can comment on or make changes to this bug.